## kdevplatform 0.9.98

=== shell/CMakeLists.txt ===

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9501 )
add_subdirectory(settings)
add_subdirectory(tests)

set(kdevplatformshell_LIB_SRCS
    workingsetcontroller.cpp
    assistantpopup.cpp
    mainwindow.cpp
    mainwindow_p.cpp
    plugincontroller.cpp
    shellextension.cpp
    core.cpp
    uicontroller.cpp
    projectcontroller.cpp
    project.cpp
    partcontroller.cpp
    #document.cpp
    partdocument.cpp
    textdocument.cpp
    documentcontroller.cpp
    languagecontroller.cpp
    language.cpp
    statusbar.cpp
    runcontroller.cpp
    sessioncontroller.cpp
    session.cpp
    savedialog.cpp
    sessiondialog.cpp
    sourceformattercontroller.cpp
    completionsettings.cpp
    openprojectpage.cpp
    openprojectdialog.cpp
    projectinfopage.cpp
    selectioncontroller.cpp
    documentationcontroller.cpp
    documentationview.cpp
    debugcontroller.cpp
    launchconfiguration.cpp
    launchconfigurationdialog.cpp
    loadedpluginsdialog.cpp
    restructuremenu.cpp

    progressmanager.cpp
    progresswidget.cpp
    overlaywidget.cpp
    progressdialog.cpp

    kross/krossplugin.cpp
    kross/krossbuildsystemmanager.cpp
    kross/krossdistributedversioncontrol.cpp
    kross/krosstoolviewfactory.cpp
    kross/krossvcsjob.cpp
    kross/wrappers/krosscontext.cpp
    kross/wrappers/krosscontextmenuextension.cpp
    kross/wrappers/krossvcsrevision.cpp
    kross/wrappers/krossvcslocation.cpp
    kross/wrappers/krossprojectmodel.cpp
#    kross/wrappers/krossiuicontroller.cpp
    kross/wrappers/krossidocument.cpp
#    kross/wrappers/krosstopducontext.cpp
#    kross/wrappers/krossducontext.cpp
    kross/wrappers/krossilanguage.cpp
#     kross/wrappers/krossdeclaration.cpp
#     kross/wrappers/krossuse.cpp
    kross/wrappers/krossidentifier.cpp
    kross/wrappers/krossduchainlock.cpp
    kross/wrappers/krossiproblem.cpp
    kross/wrappers/krossibuildsystemmanager.cpp
    kross/wrappers/krossiprojectfilemanager.cpp
    kross/wrappers/krossiprojectbuilder.cpp
    kross/wrappers/krosseditorcontext.cpp
    kross/wrappers/krossqtoolbar.cpp
)

if(HAVE_KOMPARE)
	set(kdevplatformshell_LIB_SRCS ${kdevplatformshell_LIB_SRCS} patchdocument.cpp)
endif(HAVE_KOMPARE)

set(kdevplatformshell_UI
    sessiondialog.ui
    projectinfopage.ui
    launchconfigurationdialog.ui
)

kde4_add_ui_files( kdevplatformshell_LIB_SRCS ${kdevplatformshell_UI} )
kde4_add_library(kdevplatformshell SHARED ${kdevplatformshell_LIB_SRCS})
target_link_libraries(kdevplatformshell 
        ${KDE4_KDE3SUPPORT_LIBS} 
        ${KDE4_KIO_LIBS} 
        ${KDE4_KFILE_LIBS}
        ${KDE4_KUTILS_LIBS} 
        ${KDE4_KPARTS_LIBS} 
        ${KDE4_KNOTIFYCONFIG_LIBS} 
        ${KDE4_KTEXTEDITOR_LIBS} 
        ${KDE4_THREADWEAVER_LIBRARIES} 
        ${KDE4_KROSSCORE_LIBS}
        ${QT_QTDESIGNER_LIBRARY} 
        kdevplatforminterfaces 
        kdevplatformproject 
        kdevplatformvcs
        kdevplatformlanguage 
        sublime 
        kdevplatformutil 
        kdevplatformoutputview
        kdevplatformdebugger)
# need to add kdevplatform* once those are exported targets
target_link_libraries(kdevplatformshell LINK_INTERFACE_LIBRARIES 
        ${KDE4_KDEUI_LIBS}
        ${KDE4_KDECORE_LIBS}
	kdevplatforminterfaces)
set_target_properties(kdevplatformshell PROPERTIES VERSION ${KDEVPLATFORM_LIB_VERSION} SOVERSION ${KDEVPLATFORM_LIB_SOVERSION})

install(FILES
    mainwindow.h
    plugincontroller.h
    shellextension.h
    core.h
    uicontroller.h
    projectcontroller.h
    project.h
    partcontroller.h
    partdocument.h
    textdocument.h
    documentcontroller.h
    languagecontroller.h
    session.h
    sessioncontroller.h
    sourceformattercontroller.h
    language.h
    shellexport.h
    selectioncontroller.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/shell COMPONENT Devel
)

install(TARGETS kdevplatformshell EXPORT KDevPlatformTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )

install( FILES debugger/kdevdebuggershellui.rc DESTINATION ${DATA_INSTALL_DIR}/kdevdebugger )
install( FILES kdevsessionui.rc DESTINATION ${DATA_INSTALL_DIR}/kdevsession )
install( FILES kdevsourceformatter.rc DESTINATION ${DATA_INSTALL_DIR}/kdevsourceformatter )

if(NOT WIN32)
   macro_optional_add_subdirectory(kross)
endif(NOT WIN32)

## kdevplatform 1.0.0

=== debian/changelog ===
kdevplatform (1.0.0-0ubuntu1) lucid-backports; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 30 Apr 2010 12:22:19 +0100

kdevplatform (0.10.2-0ubuntu1~ppa1) lucid; urgency=low

  * New upstream beta release
  * Include translations in kdevplatform1-libs.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Apr 2010 16:48:25 +0200

kdevplatform (0.9.99-0ubuntu1~ppa2) lucid; urgency=low

  * Update for new tar

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 07 Mar 2010 21:54:59 +0000

kdevplatform (0.9.99-0ubuntu1~ppa1) lucid; urgency=low

  * New upstream release
  * Add build-dep on libattica-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 07 Mar 2010 00:24:02 +0000

kdevplatform (0.9.98-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Update kdevplatform1-libs.install
    - Add kdevsnippet.rc to kdevplatform1-libs.install
    - Add igenericprojectmanager.h to kdevplatform-dev.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 13 Feb 2010 04:15:07 +0100

kdevplatform (0.9.97a-0ubuntu1) lucid; urgency=low

  * Upstream released a new source tar

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 16 Dec 2009 12:44:40 +0000

kdevplatform (0.9.97-0ubuntu2) lucid; urgency=low

  * Remove FindKDevPlatform.cmake from kdevplatform-dev.install, it's in
    kdelibs in 4.4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 15 Dec 2009 00:14:15 +0000

kdevplatform (0.9.97-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 14 Dec 2009 20:53:21 +0000

kdevplatform (0.9.96-1ubuntu1) lucid; urgency=low

  * Merge with Debian testing, remaining changes:
    - Use a versioned boost build-dep
  * Bump build-depend version on kdelibs5-dev to (>= 4:4.3.3-0ubuntu4) to
    ensure we build with Qt 4.6 RC1

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 25 Nov 2009 09:03:37 -0500

kdevplatform (0.9.96-1) unstable; urgency=low

  * New upstream release.
  * Add 01_kdevplatform_r1044088.diff patch.
  * Remove kdevplatform version fix.
  * Update installed plugins. Some plugins were removed upstream.
  * Add Replaces against kdevelop and kdevelop-data (<< 4:3.9.96-1).
    Some files were move from these packages to kdevplatform1-libs.

 -- Fathi Boudra <fabo@debian.org>  Thu, 12 Nov 2009 15:29:14 +0100

kdevplatform (0.9.96-0ubuntu3) lucid; urgency=low

  * The kdevplatform1-libs package replaces kdevelop-data (>> 4:3.9.96)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 05 Nov 2009 08:29:22 -0500

kdevplatform (0.9.96-0ubuntu2) lucid; urgency=low

  * Fix .install files

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 04 Nov 2009 14:02:57 -0500

kdevplatform (0.9.96-0ubuntu1) lucid; urgency=low

  * Merge with Debian testing, remaining change:
    - Use a versioned boost build-dep
  * New upstream beta release:
    - Drop Debian's version-fixing patch, unneeded in the new beta
    - Update .install files

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 04 Nov 2009 09:30:06 -0500

kdevplatform (0.9.95-2) unstable; urgency=low

  * Add patch to fix kdevplatform version.

 -- Fathi Boudra <fabo@debian.org>  Mon, 24 Aug 2009 09:22:52 +0200

kdevplatform (0.9.95a-0ubuntu1) karmic; urgency=low

  * New upstream tarball

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 23 Aug 2009 16:13:02 -0400

kdevplatform (0.9.95-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
    - Keep versioned boost build-dep
    - Keep kdevplatform1-libs replaces: kdevplatform-data

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 22 Aug 2009 14:55:23 -0400

kdevplatform (0.9.95-1) unstable; urgency=low

  * New upstream release (beta 5).
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Fri, 21 Aug 2009 11:30:38 +0200

kdevplatform (0.9.94+svn1010123-1) unstable; urgency=low

  * New snapshot from svn revision 1010123.
  * Update *.install files:
    - libkdevplatformtestshell renamed to libkdevplatformtests.
    - add new files (kdevopenwith and kdevpatchreview).
  * Update debian/rules:
    - add DEB_DH_MAKESHLIBS_ARGS_ALL := -V to generate a shlibs file with
      current upstream version of the package.
    - use DEB_DBG_PACKAGE instead of DEB_DH_STRIP_ARGS. debug package should
      be properly generated.

 -- Fathi Boudra <fabo@debian.org>  Tue, 11 Aug 2009 15:50:12 +0200

kdevplatform (0.9.94-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - change libboost-serialization-dev which is a virtual package to
      libboost-serialization1.38-dev
    - kdevplatform1-libs replaces: kdevplatform-data

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 28 Jun 2009 20:18:07 +0200

kdevplatform (0.9.94-1) unstable; urgency=low

  * New upstream release.
  * Replace liboost1.37-dev build dependency by libboost-serialization-dev.
    (Closes: #531111)
  * Bump Standards-Version to 3.8.2 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Mon, 15 Jun 2009 11:42:21 +0200

kdevplatform (0.9.93-1ubuntu1) karmic; urgency=low

  * kdevplatform1-libs replaces: kdevplatform-data (LP: #380725)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 26 May 2009 16:24:10 -0400

kdevplatform (0.9.93-1) unstable; urgency=low

  * New upstream release.
  * Update debian/kdevplatform-dev.install: add debugger include files.
  * Update debian/kdevplatform1-libs.install: add kdevcodegen licenses files.
  * Add liboost1.37-dev build dependency: It's needed to get the class browser
    plugin. We can't use boost 1.38 as it isn't supported yet.

 -- Fathi Boudra <fabo@debian.org>  Sun, 24 May 2009 13:13:25 +0200

kdevplatform (0.9.92-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.1. No changes needed.
  * Move kdevplatform-dbg package to debug section.

 -- Fathi Boudra <fabo@debian.org>  Mon, 20 Apr 2009 11:09:11 +0200



=== debian/control ===
Source: kdevplatform
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.3.16), quilt, cmake (>= 2.6.2),
 pkg-kde-tools (>= 0.5), kdelibs5-dev (>= 4:4.3.3-0ubuntu4),
 libsvn-dev, libboost-serialization1.40-dev, libattica-dev
# libcommoncpp2-dev, libboost-iostreams-dev
Standards-Version: 3.8.3
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdevplatform
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdevplatform

Package: kdevplatform1-libs
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libsublime1 (>= ${source:Version})
Replaces: kdevelop (<< 4:3.9.96-1), kdevelop-data (<< 4:3.9.96-1)
Description: shared libraries for the KDevelop platform
 This package contains shared libraries needed to run integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dev
Section: libdevel
Architecture: any
Depends: kdevplatform1-libs (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:kdevplatform1-libs},
 libsublime-dev (>= ${source:Version})
Description: development files for the KDevelop platform
 This package contains development files for building integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdevplatform1-libs (= ${binary:Version}), kdelibs5-dbg, libc6-dbg [amd64]
Description: debugging symbols for the KDevelop platform
 This package contains the debugging symbols associated with kdevplatform.
 They will automatically be used by gdb for debugging kdevplatform-related
 issues.
 .
 This package is part of the KDevelop platform.

Package: libsublime1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, kdelibs5 (>= 4:4.2.0)
Description: an user interface library
 sublime provides a user interface that supports multiple
 mainwindows, multiple dockwidgets, split views and areas
 .
 This package is part of the KDevelop platform.

Package: libsublime-dev
Section: libdevel
Architecture: any
Depends: libsublime1 (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:libsublime1}
Description: development files for the sublime user interface library
 This package contains development files for building applications using
 libsublime.
 .
 This package is part of the KDevelop platform.

## kdevplatform 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(KDevPlatform)

set(KDE4_BUILD_TESTS "ON" CACHE "BOOL" "Enable building of tests" FORCE )

set(CMAKE_MODULE_PATH ${KDevPlatform_SOURCE_DIR}/cmake/modules)

set(KDEVPLATFORM_VERSION_MAJOR 1)
set(KDEVPLATFORM_VERSION_MINOR 0)
set(KDEVPLATFORM_VERSION_PATCH 1)

set(KDE_MIN_VERSION "4.3.0")
find_package(KDE4 4.3.0 REQUIRED)
find_package(ZLIB REQUIRED)

include (KDE4Defaults)
include (MacroWriteBasicCMakeVersionFile)
include (MacroLibrary)

# Make sure that we're having RPATH on our installed libs, else using kdevelop
# from prefixes like $HOME/kdevelop breaks
# Code taken from FindKDE4Internal.cmake for KDE 4.5
list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${LIB_INSTALL_DIR}"
  _isSystemLibDir)
if("${_isSystemLibDir}" STREQUAL "-1")
  set(CMAKE_INSTALL_RPATH "${LIB_INSTALL_DIR}")
endif("${_isSystemLibDir}" STREQUAL "-1")
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

set(KOMPARE_FOUND FALSE)
#macro_optional_find_package(Kompare)
macro_bool_to_01(KOMPARE_FOUND HAVE_KOMPARE)
#macro_log_feature(KOMPARE_FOUND "Kompare" "KPart to view file differences."
#                        "http://www.caffeinated.me.uk/kompare/" FALSE ""
#                        "Required for difference checking. From KDE SDK package, KDE 4.3.61 or higher needed.")
configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/config-kdevplatform.h.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/config-kdevplatform.h )


add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

if(CMAKE_COMPILER_IS_GNUCXX)
  # TODO: Remove when LTS for g++ < 4.3 has ended.
  #       See also: languages/cpp/parser/parser.h
  macro_ensure_version("4.3.0" "${_gcc_version}" GCC_IS_NEWER_THAN_4_3)
  if (GCC_IS_NEWER_THAN_4_3)
    message(STATUS "Enabling c++0x support for unordered map")
    add_definitions( -std=c++0x ) # For unordered_map
  else(GCC_IS_NEWER_THAN_4_3)
    add_definitions( -DGXX_LT_4_3 )
  endif (GCC_IS_NEWER_THAN_4_3)
endif(CMAKE_COMPILER_IS_GNUCXX)

include_directories(${KDevPlatform_SOURCE_DIR} ${KDevPlatform_BINARY_DIR} ${KDE4_INCLUDES})

set(KDEVPLATFORM_LIB_VERSION 1.0.0)
set(KDEVPLATFORM_LIB_SOVERSION 1)

# Now set the usual KDEVPLATFORM_XXX_LIBRARIES variable so we can more easily move plugins around
set(KDEVPLATFORM_SUBLIME_LIBRARIES sublime)
set(KDEVPLATFORM_INTERFACES_LIBRARIES kdevplatforminterfaces)
set(KDEVPLATFORM_LANGUAGE_LIBRARIES kdevplatformlanguage)
set(KDEVPLATFORM_PROJECT_LIBRARIES kdevplatformproject)
set(KDEVPLATFORM_UTIL_LIBRARIES kdevplatformutil)
set(KDEVPLATFORM_OUTPUTVIEW_LIBRARIES kdevplatformoutputview)
set(KDEVPLATFORM_VCS_LIBRARIES kdevplatformvcs)
set(KDEVPLATFORM_SHELL_LIBRARIES kdevplatformshell)
set(KDEVPLATFORM_TESTS_LIBRARIES kdevplatformtests)
set(KDEVPLATFORM_DEBUGGER_LIBRARIES kdevplatformdebugger)

add_subdirectory(sublime)
add_subdirectory(interfaces)
add_subdirectory(project)
add_subdirectory(language)
add_subdirectory(shell)
add_subdirectory(util)
add_subdirectory(outputview)
add_subdirectory(vcs)
add_subdirectory(pics)
#macro_optional_add_subdirectory(doc)
add_subdirectory(debugger)
add_subdirectory(tests)

add_subdirectory(plugins)

macro_write_basic_cmake_version_file( ${KDevPlatform_BINARY_DIR}/KDevPlatformConfigVersion.cmake ${KDEVPLATFORM_VERSION_MAJOR} ${KDEVPLATFORM_VERSION_MINOR} ${KDEVPLATFORM_VERSION_PATCH} )
configure_file( "${KDevPlatform_SOURCE_DIR}/KDevPlatformConfig.cmake.in" "${KDevPlatform_BINARY_DIR}/KDevPlatformConfig.cmake" @ONLY )
configure_file( "${KDevPlatform_SOURCE_DIR}/kdevplatformversion.h.cmake" "${KDevPlatform_BINARY_DIR}/kdevplatformversion.h" @ONLY )

if(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)
    set(_kdevplatform_CONFIG_DEST "${LIB_INSTALL_DIR}/cmake/kdevplatform")
else(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)
    set(_kdevplatform_CONFIG_DEST "${LIB_INSTALL_DIR}/kdevplatform")
endif(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)

install( FILES
        "${KDevPlatform_BINARY_DIR}/kdevplatformversion.h"
        DESTINATION "${INCLUDE_INSTALL_DIR}/kdevplatform" )
install( FILES
        "${KDevPlatform_BINARY_DIR}/KDevPlatformConfig.cmake"
        "${KDevPlatform_BINARY_DIR}/KDevPlatformConfigVersion.cmake"
        DESTINATION "${_kdevplatform_CONFIG_DEST}" )
install( EXPORT KDevPlatformTargets
         DESTINATION "${_kdevplatform_CONFIG_DEST}"
         NAMESPACE KDevPlatformImport__
         FILE KDevPlatformTargets.cmake )

# Put this last, so it can use _kdevplatform_CONFIG_DEST
add_subdirectory(cmake)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(da)
add_subdirectory(pt)
add_subdirectory(nds)
add_subdirectory(sl)
add_subdirectory(en_GB)
add_subdirectory(zh_CN)
add_subdirectory(de)
add_subdirectory(ca)
add_subdirectory(pt_BR)
add_subdirectory(it)
add_subdirectory(ca@valencia)
add_subdirectory(et)
add_subdirectory(nl)
add_subdirectory(es)
add_subdirectory(fr)
add_subdirectory(fi)
add_subdirectory(sv)
add_subdirectory(uk)
add_subdirectory(th)
add_subdirectory(zh_TW)
add_subdirectory(gl)

=== debian/changelog ===
kdevplatform (1.0.1-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Add localization packages: Finnish (fi), Dutch (nl), Slovenian (sl) and
    Thai (th).
  * Update debian/control:
    - bump Standards-Version to 3.9.0 (no changes needed).
    - comment turkish localization package, not shipped in this release.
  * Update debian/rules: remove workaround for FindKDE4Internal.cmake default
    rpath value, fixed in kdelibs5-dev 4.4.1.

  [ Sune Vuorela ]
  * Remove hardcoded dependency in libsublime1 on kdelibs5.

 -- Fathi Boudra <fabo@debian.org>  Thu, 22 Jul 2010 20:36:46 +0300

kdevplatform (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 03 May 2010 22:24:13 +0200

kdevplatform (0.10.2-1) unstable; urgency=low

  * New upstream release.
  * Add localization packages.

 -- Fathi Boudra <fabo@debian.org>  Sat, 17 Apr 2010 10:33:53 +0300

kdevplatform (0.10.0-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Fathi Boudra <fabo@debian.org>  Sun, 04 Apr 2010 11:43:31 +0200

kdevplatform (0.9.99-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Mon, 08 Mar 2010 14:27:31 +0100

kdevplatform (0.9.98-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Update debian/control:
    - bump build dependencies version (debhelper and pkg-kde-tools).
    - bump Standards-Version to 3.8.4 (no changes needed).
  * Update debian/kdevplatform1-libs.install file.
  * Update debian/kdevplatform-dev.install file.
  * Update debian/rules: pass -DCMAKE_SKIP_RPATH=ON
    to workaround FindKDE4Internal.cmake default rpath value.

  [ Modestas Vainius ]
  * Fix Vcs-Browser URL.

 -- Fathi Boudra <fabo@debian.org>  Thu, 11 Feb 2010 16:48:26 +0100

kdevplatform (0.9.97-1) unstable; urgency=low

  * New upstream release.
  * Drop 01_kdevplatform_r1044088.diff patch.
  * Update installed plugins: mercurial plugin removed.

 -- Fathi Boudra <fabo@debian.org>  Sat, 12 Dec 2009 20:46:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: kdevplatform
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>
-Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.3.16), quilt, cmake (>= 2.6.2),
- pkg-kde-tools (>= 0.5), kdelibs5-dev (>= 4:4.3.3-0ubuntu4),
- libsvn-dev, libboost-serialization1.40-dev, libattica-dev
+Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.4.15), quilt, cmake (>= 2.8.0),
+ pkg-kde-tools (>= 0.6.4), kdelibs5-dev (>= 4:4.4.1),
+ libsvn-dev, libboost-serialization-dev
 # libcommoncpp2-dev, libboost-iostreams-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.9.0
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdevplatform
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdevplatform/#_trunk_packages_kdevplatform_
 Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdevplatform
 
 Package: kdevplatform1-libs
-Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, libsublime1 (>= ${source:Version})
 Replaces: kdevelop (<< 4:3.9.96-1), kdevelop-data (<< 4:3.9.96-1)
+Suggests: kdevplatform-l10n
 Description: shared libraries for the KDevelop platform
  This package contains shared libraries needed to run integrated development
  environments based on the KDevelop platform.
@@ -48,9 +47,8 @@
  This package is part of the KDevelop platform.
 
 Package: libsublime1
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends}, kdelibs5 (>= 4:4.2.0)
+Architecture: any
+Depends: ${shlibs:Depends}
 Description: an user interface library
  sublime provides a user interface that supports multiple
  mainwindows, multiple dockwidgets, split views and areas
@@ -66,3 +64,245 @@
  libsublime.
  .
  This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-ca
+Section: localization
+Architecture: all
+Recommends: kde-l10n-ca
+Provides: kdevplatform-l10n
+Description: Catalan (ca) localization files for the KDevelop platform
+ This package contains the Catalan translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-cavalencia
+Section: localization
+Architecture: all
+Recommends: kde-l10n-cavalencia
+Provides: kdevplatform-l10n
+Description: Southern Catalan (Valencian) (ca@valencia) files for the KDevelop platform
+ This package contains the Southern Catalan (Valencian) translations for
+ applications using the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-da
+Section: localization
+Architecture: all
+Recommends: kde-l10n-da
+Provides: kdevplatform-l10n
+Description: Danish (da) localization files for the KDevelop platform
+ This package contains the Danish translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-de
+Section: localization
+Architecture: all
+Recommends: kde-l10n-de
+Provides: kdevplatform-l10n
+Description: German (de) localization files for the KDevelop platform
+ This package contains the German translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-engb
+Section: localization
+Architecture: all
+Recommends: kde-l10n-engb
+Provides: kdevplatform-l10n
+Description: British English (en_GB) localization files for the KDevelop platform
+ This package contains the British English translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-es
+Section: localization
+Architecture: all
+Recommends: kde-l10n-es
+Provides: kdevplatform-l10n
+Description: Spanish (es) localization files for the KDevelop platform
+ This package contains the Spanish translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-et
+Section: localization
+Architecture: all
+Recommends: kde-l10n-et
+Provides: kdevplatform-l10n
+Description: Estonian (et) localization files for the KDevelop platform
+ This package contains the Estonian translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-fi
+Section: localization
+Architecture: all
+Recommends: kde-l10n-fi
+Provides: kdevplatform-l10n
+Description: Finnish (fi) localization files for the KDevelop platform
+ This package contains the Finnish translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-fr
+Section: localization
+Architecture: all
+Recommends: kde-l10n-fr
+Provides: kdevplatform-l10n
+Description: French (fr) localization files for the KDevelop platform
+ This package contains the French translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-gl
+Section: localization
+Architecture: all
+Recommends: kde-l10n-gl
+Provides: kdevplatform-l10n
+Description: Galician (gl) localization files for the KDevelop platform
+ This package contains the Galician translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-it
+Section: localization
+Architecture: all
+Recommends: kde-l10n-it
+Provides: kdevplatform-l10n
+Description: Italian (it) localization files for the KDevelop platform
+ This package contains the Italian translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-nds
+Section: localization
+Architecture: all
+Recommends: kde-l10n-nds
+Provides: kdevplatform-l10n
+Description: Low Saxon (nds) localization files for the KDevelop platform
+ This package contains the Low Saxon translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-nl
+Section: localization
+Architecture: all
+Recommends: kde-l10n-nl
+Provides: kdevplatform-l10n
+Description: Dutch (nl) localization files for the KDevelop platform
+ This package contains the Dutch translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-pt
+Section: localization
+Architecture: all
+Recommends: kde-l10n-pt
+Provides: kdevplatform-l10n
+Description: Portugese (pt) localization files for the KDevelop platform
+ This package contains the Portugese translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-ptbr
+Section: localization
+Architecture: all
+Recommends: kde-l10n-ptbr
+Provides: kdevplatform-l10n
+Description: Brazilian Portugese (pt_BR) localization files for the KDevelop platform
+ This package contains the Brazilian Portugese translations for applications
+ using the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-sl
+Section: localization
+Architecture: all
+Recommends: kde-l10n-sl
+Provides: kdevplatform-l10n
+Description: Slovenian (sl) localization files for the KDevelop platform
+ This package contains the Slovenian translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-sv
+Section: localization
+Architecture: all
+Recommends: kde-l10n-sv
+Provides: kdevplatform-l10n
+Description: Swedish (sv) localization files for the KDevelop platform
+ This package contains the Swedish translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-th
+Section: localization
+Architecture: all
+Recommends: kde-l10n-th
+Provides: kdevplatform-l10n
+Description: Thai (th) localization files for the KDevelop platform
+ This package contains the Thai translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+# Package: kdevplatform-l10n-tr
+# Section: localization
+# Architecture: all
+# Recommends: kde-l10n-tr
+# Provides: kdevplatform-l10n
+# Description: Turkish (tr) localization files for the KDevelop platform
+#  This package contains the Turkish translations for applications using
+#  the KDevelop platform.
+#  .
+#  This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-uk
+Section: localization
+Architecture: all
+Recommends: kde-l10n-uk
+Provides: kdevplatform-l10n
+Description: Ukrainian (uk) localization files for the KDevelop platform
+ This package contains the Ukrainian translations for applications using
+ the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-zhcn
+Section: localization
+Architecture: all
+Recommends: kde-l10n-zhcn
+Provides: kdevplatform-l10n
+Description: Chinese Simplified (zh_CN) localization files for the KDevelop platform
+ This package contains the Chinese simplified translations for applications
+ using the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.
+
+Package: kdevplatform-l10n-zhtw
+Section: localization
+Architecture: all
+Recommends: kde-l10n-zhtw
+Provides: kdevplatform-l10n
+Description: Chinese Traditional (zh_TW) localization files for the KDevelop platform
+ This package contains the Chinese Traditional translations for applications
+ using the KDevelop platform.
+ .
+ This package is part of the KDevelop platform.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

DEB_DBG_PACKAGE_kdevplatform1-libs := kdevplatform-dbg
DEB_DH_MAKESHLIBS_ARGS_ALL := -V

## kdevplatform 1.0.2

=== debian/changelog ===
kdevplatform (1.0.2-0ubuntu2) maverick; urgency=low

  * Add kubuntu_01_appmenu_fix.diff by Aurélien Gâteau to make KDevplatform
    work with appmenu.

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 15 Sep 2010 17:39:40 +0200

kdevplatform (1.0.2-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Don't ship kdevplatform-l10n-de, German translation is missing from
      upstream, German dropped below the threshold of translated strings

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 03 Sep 2010 19:38:03 +0200

kdevplatform (1.0.1-1ubuntu1) maverick; urgency=low

  * Add export KUBUNTU_DESKTOP_POT=extragear-sdk_kdevplatform

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 18:21:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kdevplatform
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>
 Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.4.15), quilt, cmake (>= 2.8.0),
  pkg-kde-tools (>= 0.6.4), kdelibs5-dev (>= 4:4.4.1),
@@ -98,16 +99,16 @@
  .
  This package is part of the KDevelop platform.
 
-Package: kdevplatform-l10n-de
-Section: localization
-Architecture: all
-Recommends: kde-l10n-de
-Provides: kdevplatform-l10n
-Description: German (de) localization files for the KDevelop platform
- This package contains the German translations for applications using
- the KDevelop platform.
- .
- This package is part of the KDevelop platform.
+#Package: kdevplatform-l10n-de
+#Section: localization
+#Architecture: all
+#Recommends: kde-l10n-de
+#Provides: kdevplatform-l10n
+#Description: German (de) localization files for the KDevelop platform
+# This package contains the German translations for applications using
+# the KDevelop platform.
+# .
+# This package is part of the KDevelop platform.
 
 Package: kdevplatform-l10n-engb
 Section: localization

## kdevplatform 1.2.2

=== outputview/CMakeLists.txt ===

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9507 )
set( outputviewinterfaces_LIB_SRCS
    outputmodel.cpp
    ioutputviewmodel.cpp
    outputjob.cpp
)
kde4_add_library( kdevplatformoutputview SHARED ${outputviewinterfaces_LIB_SRCS} )
target_link_libraries(kdevplatformoutputview 
        ${QT_QTCORE_LIBRARY} 
        ${KDE4_KDEUI_LIBS} 
        kdevplatforminterfaces)
# Need to add kdevplatforminterfaces when its exported as target
target_link_libraries(kdevplatformoutputview LINK_INTERFACE_LIBRARIES 
        ${KDE4_KDEUI_LIBS})
set_target_properties(kdevplatformoutputview PROPERTIES VERSION ${KDEVPLATFORM_LIB_VERSION} SOVERSION ${KDEVPLATFORM_LIB_SOVERSION})
install(TARGETS kdevplatformoutputview EXPORT KDevPlatformTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )

 ########### install files ###############
 install( FILES
          ioutputview.h
          outputmodel.h
          ioutputviewmodel.h
          outputviewexport.h
          outputjob.h
          DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/outputview COMPONENT Devel)

=== plugins/cvs/CMakeLists.txt ===

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9513 )

add_subdirectory(tests)


########### next target ###############

set(kdevcvs_PART_SRCS
    cvsplugin.cpp
    cvsmainview.cpp
    cvsgenericoutputview.cpp
    cvsjob.cpp
    cvsproxy.cpp
    editorsview.cpp
    commitdialog.cpp
    importmetadatawidget.cpp
    importdialog.cpp
    checkoutdialog.cpp
    cvsannotatejob.cpp
    cvslogjob.cpp
    cvsdiffjob.cpp
    cvsstatusjob.cpp
)

set(kdevcvs_PART_UI
    cvsmainview.ui
    cvsgenericoutputview.ui
    editorsview.ui
    commitdialog.ui
    importmetadatawidget.ui
    checkoutdialog.ui
)

kde4_add_ui_files(kdevcvs_PART_SRCS ${kdevcvs_PART_UI})
kde4_add_plugin(kdevcvs ${kdevcvs_PART_SRCS})

target_link_libraries(kdevcvs
    ${KDE4_KIO_LIBS}
    ${KDE4_KPARTS_LIBS}
    kdevplatformutil
    kdevplatforminterfaces
    kdevplatformvcs
    kdevplatformproject
    kdevplatformlanguage
)

install(TARGETS kdevcvs DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############
install( FILES kdevcvs.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevcvs.rc DESTINATION ${DATA_INSTALL_DIR}/kdevcvs )

=== plugins/externalscript/CMakeLists.txt ===
########### next target ###############

set(kdevexternalscript_PART_SRCS
    externalscriptplugin.cpp
    externalscriptview.cpp
    externalscriptitem.cpp
    externalscriptjob.cpp
    externalscriptoutputmodel.cpp
    editexternalscript.cpp
)

set(kdevexternalscript_PART_UI
    externalscriptview.ui
    editexternalscript.ui
)

kde4_add_ui_files(kdevexternalscript_PART_SRCS ${kdevexternalscript_PART_UI})

kde4_add_plugin(kdevexternalscript ${kdevexternalscript_PART_SRCS})

target_link_libraries(kdevexternalscript
    ${KDE4_KTEXTEDITOR_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KNEWSTUFF3_LIBS}
    kdevplatformlanguage kdevplatforminterfaces
    kdevplatformutil kdevplatformoutputview
)

install( TARGETS kdevexternalscript DESTINATION ${PLUGIN_INSTALL_DIR} )

########### install files ###############
install( FILES kdevexternalscript.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevexternalscript.rc DESTINATION ${DATA_INSTALL_DIR}/kdevexternalscript )

=== plugins/reviewboard/icons/CMakeLists.txt ===
kde4_install_icons(${ICON_INSTALL_DIR})

=== debian/changelog ===
kdevplatform (1.2.2-0ubuntu1) natty; urgency=low

  * New upstream release
    + refresh kdevplatform3-libs.install

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 07 Apr 2011 14:24:30 +0200

kdevplatform (1.2.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 25 Jan 2011 18:03:44 +0100

kdevplatform (1.1.90-0ubuntu1~ppa2) natty; urgency=low

  * New upstream release 
    - don't suggest removed l10n packages

 -- Philip Muskovac <yofel@gmx.net>  Wed, 12 Jan 2011 16:35:32 +0100

kdevplatform (1.1.80-0ubuntu1) natty; urgency=low

  * New upstream release
    - kdevplatform2-libs is now kdevplatform3-libs due to ABI changes
    - Update kdevplatform3-libs.install to include l10n files
    - Update kdevplatform-dev.install
  * Removed localization packages

 -- Bhargav Mangipudi <bhargav.1191@gmail.com>  Thu, 16 Dec 2010 19:31:23 +0530

kdevplatform (1.1.1-0ubuntu1) natty; urgency=low

  * New upstream release
  * Merge packaging with kubuntu-ppa/backports PPA
   - kdevplatform1-libs is now kdevplatform2-libs due to ABI changes
   - libsublime1 is now libsublime2 due to ABI changes
   - Add build-dep on libqjson-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 04 Dec 2010 17:25:37 +0000

kdevplatform (1.1.0-0ubuntu1) natty; urgency=low

  * New upstream release
    - Bump build-dependencies
    - Build against libboost-serialization1.42-dev
    - Update kdevplatform1-libs.install
    - Update kdevplatform-dev.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 24 Oct 2010 00:06:18 +0200

=== debian/control ===
Source: kdevplatform
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.4.15), quilt, cmake (>= 2.8.0),
 pkg-kde-tools (>= 0.9), kdelibs5-dev (>= 4:4.5),
 libsvn-dev, libboost-serialization1.42-dev, libqjson-dev
# libcommoncpp2-dev, libboost-iostreams-dev
Standards-Version: 3.9.0
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdevplatform/#_trunk_packages_kdevplatform_
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdevplatform

Package: kdevplatform3-libs
Architecture: any
Depends: ${shlibs:Depends}, libsublime2 (>= ${source:Version})
Replaces: kdevelop (<< 4:3.9.96-1), kdevelop-data (<< 4:3.9.96-1), kdevplatform1-libs, kdevplatform2-libs
Breaks: kdevplatform1-libs, kdevplatform2-libs
Description: shared libraries for the KDevelop platform
 This package contains shared libraries needed to run integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dev
Section: libdevel
Architecture: any
Depends: kdevplatform3-libs (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:kdevplatform3-libs},
 libsublime-dev (>= ${source:Version})
Description: development files for the KDevelop platform
 This package contains development files for building integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdevplatform3-libs (= ${binary:Version}), kdelibs5-dbg, libc6-dbg [amd64]
Description: debugging symbols for the KDevelop platform
 This package contains the debugging symbols associated with kdevplatform.
 They will automatically be used by gdb for debugging kdevplatform-related
 issues.
 .
 This package is part of the KDevelop platform.

Package: libsublime2
Architecture: any
Depends: ${shlibs:Depends}
Replaces: libsublime1
Breaks: libsublime1
Description: an user interface library
 sublime provides a user interface that supports multiple
 mainwindows, multiple dockwidgets, split views and areas
 .
 This package is part of the KDevelop platform.

Package: libsublime-dev
Section: libdevel
Architecture: any
Depends: libsublime2 (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:libsublime2}
Description: development files for the sublime user interface library
 This package contains development files for building applications using
 libsublime.
 .
 This package is part of the KDevelop platform.

## kdevplatform 1.2.3

=== debian/changelog ===
kdevplatform (1.2.3-1) unstable; urgency=low

  [ Andreas Cord-Landwehr ]
  * New upstream release.
  * Update copyright.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 12 Dec 2011 18:48:50 +0100

kdevplatform (1.2.2-1) unstable; urgency=low

  * New upstream release:
    - provides Git support. (Closes: #597281)
    - fix ftbfs error: reference 'm_registry' cannot be declared 'mutable'
      (Closes: #624885)

  [ Andreas Cord-Landwehr ]
  * Merge all localization packages into one
    - includes: Catalan (ca), Southern Catalan (cavalencia), Danish (da),
      German (de), British English (engb), Spanish (es), Estonian (et),
      French (fr), Italian (it), Norwegian Bookmal (nb),
      Low Saxon (nds), Dutch (nl), Brazilian Portuguese (ptbr), 
      Portuguese (pt), Russian (ru), Slovenian (sl), Swedish (sv),
      Thai (th), Ukrainian (uk), Chinese Simplified (zh_CN)
      Chinese Traditional (zh_TW)
    - add Breaks for all kdevplatform-l10n-* packages .
    - add Replaces for all kdevplatform-l10n-* packages.
    - add kdevplatform-l10n package.
  * Rename packages due to soname bump:
    - kdevplatform2-libs -> kdevplatform3-libs
    - libsublime2 -> libsublime3
  * Update install files.
  * Add myself to Uploaders.

  [ Nicolás Alvarez ]
  * Add libsublime1 debugging symbols. (Closes: #593636)
  * Add debian/watch file to track upstream versions.
  * Update Vcs-* fields to point to Git instead of SVN.

  [ George Kiagiadakis ]
  * Add myself to uploaders.
  * Drop quilt from build-depends; not needed for src format 3.0.
  * Update installed files.
  * Bump pkg-kde-tools dependency to version 0.9.0 for building without quilt.
  * Add build dependency on libqjson-dev for building the reviewboard plugin.
  * Rename packages due to soname bump:
    - kdevplatform1-libs -> kdevplatform2-libs
    - libsublime1 -> libsublime2
  * Bump Standards-Version to 3.9.1 (no changes needed).

  [ Pino Toscano ]
  * kdevplatform3-libs: suggest git, cvs, konsole.

  [ Fathi Boudra ]
  * Add libqtwebkit-dev build dependency to fix ftbfs.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 02 Jun 2011 11:39:31 +0300

=== debian/control ===
Source: kdevplatform
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.4.15), cmake (>= 2.8.0),
 pkg-kde-tools (>= 0.9.0), kdelibs5-dev (>= 4:4.5.0),
 libboost-serialization-dev, libqjson-dev, libqtwebkit-dev, libsvn-dev
Standards-Version: 3.9.2
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevplatform.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevplatform.git

Package: kdevplatform3-libs
Architecture: any
Depends: ${shlibs:Depends}, libsublime3 (>= ${source:Version})
Replaces: kdevelop (<< 4:3.9.96-1), kdevelop-data (<< 4:3.9.96-1), kdevplatform1-libs, kdevplatform2-libs
Breaks: kdevplatform1-libs, kdevplatform2-libs
Suggests: kdevplatform-l10n, git, cvs, konsole
Description: shared libraries for the KDevelop platform
 This package contains shared libraries needed to run integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dev
Section: libdevel
Architecture: any
Depends: kdevplatform3-libs (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:kdevplatform3-libs},
 libsublime-dev (>= ${source:Version})
Description: development files for the KDevelop platform
 This package contains development files for building integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdevplatform3-libs (= ${binary:Version}), libsublime3 (= ${binary:Version}), kdelibs5-dbg, libc6-dbg [amd64]
Description: debugging symbols for the KDevelop platform
 This package contains the debugging symbols associated with kdevplatform.
 They will automatically be used by gdb for debugging kdevplatform-related
 issues.
 .
 This package is part of the KDevelop platform.

Package: libsublime3
Architecture: any
Depends: ${shlibs:Depends}
Description: User interface library
 sublime provides a user interface that supports multiple
 mainwindows, multiple dockwidgets, split views and areas
 .
 This package is part of the KDevelop platform.

Package: libsublime-dev
Section: libdevel
Architecture: any
Depends: libsublime3 (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:libsublime3}
Description: development files for the sublime user interface library
 This package contains development files for building applications using
 libsublime.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-l10n
Section: localization
Architecture: all
Replaces: kdevplatform-l10n-ca, kdevplatform-l10n-cavalencia, kdevplatform-l10n-da,
 kdevplatform-l10n-de, kdevplatform-l10n-engb, kdevplatform-l10n-es,
 kdevplatform-l10n-et, kdevplatform-l10n-fi, kdevplatform-l10n-fr,
 kdevplatform-l10n-gl, kdevplatform-l10n-hu, kdevplatform-l10n-it,
 kdevplatform-l10n-nds, kdevplatform-l10n-nl, kdevplatform-l10n-pt,
 kdevplatform-l10n-ptbr, kdevplatform-l10n-ru, kdevplatform-l10n-sl,
 kdevplatform-l10n-sv, kdevplatform-l10n-th, kdevplatform-l10n-tr,
 kdevplatform-l10n-uk, kdevplatform-l10n-zhcn, kdevplatform-l10n-zhtw
Breaks: kdevplatform-l10n-ca, kdevplatform-l10n-cavalencia, kdevplatform-l10n-da,
 kdevplatform-l10n-de, kdevplatform-l10n-engb, kdevplatform-l10n-es,
 kdevplatform-l10n-et, kdevplatform-l10n-fi, kdevplatform-l10n-fr,
 kdevplatform-l10n-gl, kdevplatform-l10n-hu, kdevplatform-l10n-it,
 kdevplatform-l10n-nds, kdevplatform-l10n-nl, kdevplatform-l10n-pt,
 kdevplatform-l10n-ptbr, kdevplatform-l10n-ru, kdevplatform-l10n-sl,
 kdevplatform-l10n-sv, kdevplatform-l10n-th, kdevplatform-l10n-tr,
 kdevplatform-l10n-uk, kdevplatform-l10n-zhcn, kdevplatform-l10n-zhtw
Suggests: kde-l10n
Description: language package for the KDevelop platform 
 This package contains the localization files for applications using
 the KDevelop platform.
 .
 This package is part of the KDevelop platform.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

DEB_DBG_PACKAGE_kdevplatform3-libs := kdevplatform-dbg
DEB_DBG_PACKAGE_libsublime3 := kdevplatform-dbg
DEB_DH_MAKESHLIBS_ARGS_ALL := -V

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kdevelop/([\d.]+)/src/kdevplatform-([\d.]+).tar.bz2
